diff --git a/tutorials/basic/laplacianFoam/flange/Allrun-parallel b/tutorials/basic/laplacianFoam/flange/Allrun-parallel
new file mode 100755
index 0000000000000000000000000000000000000000..05fed50bcf26a84848b27bf476317561dd89ab73
--- /dev/null
+++ b/tutorials/basic/laplacianFoam/flange/Allrun-parallel
@@ -0,0 +1,10 @@
+#!/bin/sh
+cd "${0%/*}" || exit                                # Run from this directory
+. ${WM_PROJECT_DIR:?}/bin/tools/RunFunctions        # Tutorial run functions
+#------------------------------------------------------------------------------
+
+runApplication ansysToFoam flange.ans -scale 0.001
+runApplication decomposePar
+runParallel $(getApplication)
+
+#------------------------------------------------------------------------------
diff --git a/tutorials/basic/laplacianFoam/flange/system/decomposeParDict b/tutorials/basic/laplacianFoam/flange/system/decomposeParDict
new file mode 100644
index 0000000000000000000000000000000000000000..4ad06fd05685af920e0cfb697e5b2b8db9d73ee2
--- /dev/null
+++ b/tutorials/basic/laplacianFoam/flange/system/decomposeParDict
@@ -0,0 +1,21 @@
+/*--------------------------------*- C++ -*----------------------------------*\
+| =========                 |                                                 |
+| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
+|  \\    /   O peration     | Version:  v2006                                 |
+|   \\  /    A nd           | Website:  www.openfoam.com                      |
+|    \\/     M anipulation  |                                                 |
+\*---------------------------------------------------------------------------*/
+FoamFile
+{
+    version     2.0;
+    format      ascii;
+    class       dictionary;
+    object      decomposeParDict;
+}
+// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
+
+numberOfSubdomains 4;
+
+method  scotch;
+
+// ************************************************************************* //